package com.gic.spark.filter;

import com.gic.spark.datasource.entity.DataSourceEntity;
import com.gic.spark.entity.request.FilterRequest;
import org.apache.spark.api.java.JavaRDD;

import java.util.List;

/**
 * @description:
 * 未核销已过期卡券
 * @author: wangxk
 * @date: 2020/4/20
 */
public class TagNoCancelExpiresCouponFilter implements BaseTagFilter{

    private static TagNoCancelExpiresCouponFilter instance;
    public static TagNoCancelExpiresCouponFilter getInstance() {
        if(null==instance){
            instance=new TagNoCancelExpiresCouponFilter();
        }
        return instance;
    }
    private TagNoCancelExpiresCouponFilter(){};
    @Override
    public List<DataSourceEntity> necessarySourceList() {
        return null;
    }

    @Override
    public JavaRDD<Integer> filterValidMember(Integer enterpriseId, FilterRequest filterOption) {
        return null;
    }
}
