package com.gic.spark.tag;

/**
 * @description:
 * @author: wangxk
 * @date: 2020/4/15
 */
public class TagConstant {


    public static final String TAG_COMPUTE_TYPE_BETWEEN = "between";//区间筛选
    public static final String TAG_COMPUTE_TYPE_EQUAL = "=";
    public static final String TAG_COMPUTE_TYPE_LESS_EQUAL = "<=";
    public static final String TAG_COMPUTE_TYPE_LARGER_EQUAL = ">=";
    public static final String TAG_COMPUTE_TYPE_LESS = "<";
    public static final String TAG_COMPUTE_TYPE_LARGER = ">";
    public static final String TAG_COMPUTE_TYPE_NOT_EQUAL = "!=";
    public static final String TAG_COMPUTE_TYPE_LIKE = "like";//模糊匹配
    public static final String TAG_COMPUTE_TYPE_IN = "in";//包含
    public static final String TAG_COMPUTE_TYPE_NOT_IN = "notIn";//不包含
    public static final String TAG_COMPUTE_TYPE_ALL_IN = "allIn";//包含所有
    public static final String TAG_COMPUTE_TYPE_NOT_ALL_IN = "notAllIn";//不包含所有
    public static final String TAG_COMPUTE_TYPE_AND = "and";//并且
    public static final String TAG_COMPUTE_TYPE_OR = "or";//或者
    public static final String TAG_COMPUTE_TYPE_IN_NOT_ALL = "inNA";//包含不分词
    public static final String TAG_COMPUTE_TYPE_TODAY = "today"; //今天
    public static final String TAG_COMPUTE_TYPE_LAST_DAY = "lastday";//最近几天
    public static final String TAG_COMPUTE_TYPE_AFTER_DAY = "afterday";//之后几天
    public static final String TAG_COMPUTE_TYPE_CURRENTMONTH = "currentMonth"; //当月
    public static final String TAG_COMPUTE_TYPE_LAST_MONTH = "lastmonth";//最近几月
    public static final String TAG_COMPUTE_TYPE_AFTER_MONTH = "aftermonth";//之后几月
    public static final String TAG_COMPUTE_TYPE_CURRENTYEAR = "currentYear"; //当年
    public static final String TAG_COMPUTE_TYPE_LAST_YEAR = "lastyear";//最近几年
    public static final String TAG_COMPUTE_TYPE_AFTER_YEAR = "afteryear";//之后几年

    public static final String TAG_COMPUTE_TYPE_LAST_DAY_HAS_TODAY= "lastdayHasToday";  //最近几天包含今天
    public static final String TAG_COMPUTE_TYPE_AFTER_DAY_HAS_TODAY="afterdayHasToday";    //之后几天包含今天
    public static final String TAG_COMPUTE_TYPE_LAST_MONTH_HAS_CURRENT_MONTH="lastmonthHasCurrentMonth";  //最近几月包含当月
    public static final String TAG_COMPUTE_TYPE_AFTER_MONTH_HAS_CURRENT_MONTH="aftermonthHasCurrentMonth";   //之后几月包含当月
    public static final String TAG_COMPUTE_TYPE_LAST_YEAR_HAS_CURRENT_YEAR="lastyearHasCurrentYear";    //最近几年包含当年
    public static final String TAG_COMPUTE_TYPE_AFTER_YEAR_HAS_CURRENT_YEAR="afteryearHasCurrentYear";    //之后几年包含当年

    public static final String TAG_TIME_TYPE_BETWEEN = "between";//固定时间段
    public static final String TAG_TIME_TYPE_TODAY = "today"; //今天
    public static final String TAG_TIME_TYPE_LAST_DAY = "lastday";//最近几天
    public static final String TAG_TIME_TYPE_AFTER_DAY = "afterday";//之后几天
    public static final String TAG_TIME_TYPE_LAST_DYA_HAS_TODAT ="lastdayHasToday"; //最近几天包含今天
    public static final String TAG_TIME_TYPE_CURRENTMONTH = "currentMonth"; //当月
    public static final String TAG_TIME_TYPE_LAST_MONTH = "lastmonth";//最近几月
    public static final String TAG_TIME_TYPE_AFTER_MONTH = "aftermonth";//之后几月
    public static final String TAG_TIME_TYPE_LAST_MONTH_HASCURRENTMONTH ="lastmonthHasCurrentMonth"; //最近几月包含当月
    public static final String TAG_TIME_TYPE_CURRENTYEAR = "currentYear"; //当年
    public static final String TAG_TIME_TYPE_LAST_YEAR = "lastyear";//最近几年
    public static final String TAG_TIME_TYPE_AFTER_YEAR = "afteryear";//之后几年
    public static final String TAG_TIME_TYPE_LAST_YEAR_HASCURRENTYEAR = "CRlastyearHasCurrentYear"; //最近几年包含当年
    public static final String TAG_TIME_TYPE_ALL_TIME = "alltime";//目前为止


        /*当前卡券数
        待领取卡券
        已领取未核销卡券
        （未核销或未领取）已到期卡券
        已核销卡券
        已占用卡券
        转赠中卡券
        已转赠卡券
        非会员卡券*/

    public static final String TAG_CODE_CURRENT_COUPON_NUM="currentCouponNum"; //当前卡券数
    public static final String TAG_CODE_UNCLAIMED_COUPON="unclaimedCoupon"; //待领取卡券
    public static final String TAG_CODE_GET_NO_CANCEL_COUPON="getNoCancelCoupon"; //已领取未核销卡券
    public static final String TAG_CODE_NO_CANCEL_EXPIRES_COUPON="noCancelExpiresCoupon";//未核销已过期卡券
    public static final String TAG_CODE_CANCEL_COUPON="cancelCoupon";//已核销卡券
    public static final String TAG_CODE_OCCUPY_COUPON="occupyCoupon";//已占用卡券
    public static final String TAG_CODE_DONATIONINCOUPON="donationInCoupon";//转赠中卡券
    public static final String TAG_CODE_YETDONATIONCOUPON="yetDonationCoupon";//已转增卡券

}
